package blatt05;
/**
 *
 * @author Nils.Hoffmann@CeBiTec.Uni-Bielefeld.DE
 */
public class Main {
    public static void main(String[] args) {
        //strings a, b and c
        String a = "Der Hunne Attila";
        String b = "Die Henne Ottili";
        String c = "Die Stadt Manila";
        //instance of HammingDistance
        StringDistance sd = new HammingDistance();
        double dist = sd.getDistance(a, b);
        System.out.println("Hamming distance of "+a+" and "+b+" = "+((int)dist));
        dist = sd.getDistance(a, c);
        System.out.println("Hamming distance of "+a+" and "+c+" = "+((int)dist));
        dist = sd.getDistance(b, c);
        System.out.println("Hamming distance of "+b+" and "+c+" = "+((int)dist));
        String d = "Der Dalai Lama";
        //testing behaviour of HammingDistance for strings of 
        //unequal lengths
        try{
            dist = sd.getDistance(a,d);
        }catch(IllegalArgumentException iae){
            System.err.println(iae);
        }
        //instance of EditDistance
        sd = new EditDistance();
        dist = sd.getDistance(a, b);
        System.out.println("Edit distance of "+a+" and "+b+" = "+((int)dist));
        dist = sd.getDistance(a, c);
        System.out.println("Edit distance of "+a+" and "+c+" = "+((int)dist));
        dist = sd.getDistance(b, c);
        System.out.println("Edit distance of "+b+" and "+c+" = "+((int)dist));
        dist = sd.getDistance(b, d);
        System.out.println("Edit distance of "+b+" and "+d+" = "+((int)dist));
    }
}
