package blatt05;

/**
 * Interface for general pairwise distances on Strings
 * 
 * @author Nils.Hoffmann@CeBiTec.Uni-Bielefeld.DE
 */
public interface StringDistance {

    /**
     * Implementations calculate the distance between Strings a and b.
     * @param a
     * @param b
     * @return
     */
    public abstract double getDistance(String a, String b);

}
