package blatt05.alphabet;

/**
 *
 * @author Nils.Hoffmann@CeBiTec.Uni-Bielefeld.DE
 */
public class DNAAlphabet implements Alphabet{
    enum values {A,C,G,T;}

    public int toCode(String a) {
        return DNAAlphabet.values.valueOf(a).ordinal();
    }

    public String toSymbol(int code) {
        return DNAAlphabet.values.values()[code].name();
    }

    public int size() {
        return 4;
    }
}
